/* This file has to be included in fat.h (only one time and only in fat.h) */
/* if the FAT driver is compiled for FreeDOS 32. In fact OSLib exports     */
/* these services via macros, thus no symbol is defined and we cannot link */
/* them dynamically. This has to be solved as soon as possible!            */


#undef memcmp
#undef memcpy
#undef memset


/* Copyright (C) 1994 DJ Delorie, see COPYING.DJ for details */
extern inline int memcmp(const void *s1, const void *s2, size_t n)
{
  if (n != 0)
  {
    const unsigned char *p1 = s1, *p2 = s2;

    do {
      if (*p1++ != *p2++)
	return (*--p1 - *--p2);
    } while (--n != 0);
  }
  return 0;
}


/* Temporary Salvo's memcpy replacement... */
extern inline void *memcpy(void *dest, const void *src, int num)
{
  void *SaveDest = dest;
  int   k;
  for (k = 0; (k < num) && (*((BYTE *) dest) = *((BYTE *) src)); k++, dest++, src++);
  return SaveDest;
}


/* Temporary Salvo's memset replacement... */
extern inline void *memset(void *buffer, int ch, int num)
{
  void *SaveBuffer = buffer;
  int   k;
  for (k = 0; k < num; k++) ((BYTE *) buffer)[k] = ch;
  return SaveBuffer;
}

